
# Provides tasks to load and drop sample data.

namespace :db do
  DATA_DIRECTORY = "#{RAILS_ROOT}/lib/tasks/sample_data"
  namespace :sample_data do
    desc "Load sample data"
    task :load => :environment do |t|
      chdir DATA_DIRECTORY
      system 'psql lectures_development < lectures_development.sql'
    end
    task :drop => :environment do |t|
      chdir DATA_DIRECTORY
      system 'psql lectures_development < drop.sql'
    end
  end
end
