// Place your application-specific JavaScript functions and classes here
// This file is automatically included by javascript_include_tag :defaults

$(document).ready(function() {

  var lastsel;
  jQuery("#scheduleGrid").jqGrid({
	  height: 200,
	  caption: "Lecture schedule",
	  colNames:['Lecture No','Dates','Topics','Readings'],
	  colModel:[
          {name:'lecture_number',align:"center",index:'lecture_number',width:"100",sorrtype:"int"},
          {name:'dates',align:"center",index:'dates',width:"100",sortable:false},
          {name:'topics',index:'topics',width:"220",sortable:false,
           editable:true,
           edittype:"textarea",
           editoptions:{rows:"3",cols:"30"}},
          {name:'readings',index:'readings',width:"220",sortable:false,
           editable:true,
           edittype:"textarea",
           editoptions:{rows:"3",cols:"30"}}           
      ],
      url:"lectures.xml",
      datatype: 'xml',
      ajaxRowOptions: {type:"PUT"},
      onSelectRow: function(id){
	    if(id && id!==lastsel){
	    	jQuery('#scheduleGrid').jqGrid('restoreRow',lastsel);
	    	jQuery('#scheduleGrid').jqGrid(
	    		'editRow',
	    		id,
	    		true,
	    		undefined,
	    		undefined,
	    		"lectures/"+id+".xml"
	    	);
	    	lastsel=id;
	    }
	  }
  });
  
	jQuery.jgrid.del = {
	    caption: "Delete",
	    msg: "Delete selected record(s)?",
	    bSubmit: "Delete",
	    bCancel: "Cancel",
	    processData: "Processing...",
			delData: {_method:"delete"}
	};
	
  $("#scheduleTable").hide();


	$("#dedata").click(function(){
		
		var gr = jQuery("#scheduleGrid").jqGrid('getGridParam','selrow'); 	
		
		console.log(gr); //	FIXME remove logging
		if( gr != null ) 
			
			rowdata = jQuery("#scheduleGrid").getRowData(gr);
			console.log(rowdata); //	FIXME remove logging			
			jQuery("#scheduleGrid").jqGrid('delGridRow',gr,
				{	mtype: 'POST',
					closeAfterEdit: true,
					reloadAfterSubmit:false,
					url:"lectures/" + gr
				}); 
	});


})
